package com.xingxi.business.CopyrightApproval.service;

import com.xingxi.business.CopyrightApproval.domain.CopyrightApproval;

import java.util.List;

/**
 * 著作权申请Service接口
 *
 * @author xingxi
 * @date 2025-03-06
 */
public interface ICopyrightApprovalService {
    /**
     * 查询著作权申请
     *
     * @param approvalId 著作权申请主键
     * @return 著作权申请
     */
    CopyrightApproval selectCopyrightApprovalByApprovalId(Long approvalId);

    /**
     * 查询著作权申请列表
     *
     * @param copyrightApproval 著作权申请
     * @return 著作权申请集合
     */
    List<CopyrightApproval> selectCopyrightApprovalList(CopyrightApproval copyrightApproval);

    /**
     * 新增著作权申请
     *
     * @param copyrightApproval 著作权申请
     * @return 结果
     */
    int insertCopyrightApproval(CopyrightApproval copyrightApproval);

    /**
     * 新增著作权申请
     *
     * @param copyrightApprovalList 著作权申请
     * @return 结果
     */
    int batchInsertCopyrightApproval(List<CopyrightApproval> copyrightApprovalList);

    /**
     * 修改著作权申请
     *
     * @param copyrightApproval 著作权申请
     * @return 结果
     */
    int updateCopyrightApproval(CopyrightApproval copyrightApproval);

    /**
     * 批量删除著作权申请
     *
     * @param approvalIds 需要删除的著作权申请主键集合
     * @return 结果
     */
    int deleteCopyrightApprovalByApprovalIds(String approvalIds);

    /**
     * 删除著作权申请信息
     *
     * @param approvalId 著作权申请主键
     * @return 结果
     */
    int deleteCopyrightApprovalByApprovalId(Long approvalId);

    /**
     * 逻辑删除著作权申请
     *
     * @param approvalId 著作权申请主键
     * @return 结果
     */
    int logicDeleteCopyrightApprovalByApprovalId(Long approvalId);

    /**
     * 逻辑批量删除著作权申请
     *
     * @param approvalIds 需要删除的数据主键集合
     * @return 结果
     */
    int logicDeleteCopyrightApprovalByApprovalIds(String[] approvalIds);

    /**
     * 逻辑批量删除著作权申请
     *
     * @param copyrightApproval 著作权申请
     * @return 结果
     */
    int logicDeleteCopyrightApprovalByCondition(CopyrightApproval copyrightApproval);
}
